"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "octavia/cmd/status.py" between
octavia-7.1.1.tar.gz and octavia-8.0.0.tar.gz

About: OpenStack Octavia is an operator-grade reference implementation for Load Balancing as a Service (LBaaS).
The "Wallaby" series (latest release).

status.py  (octavia-7.1.1):status.py  (octavia-8.0.0)
skipping to change at line 18 skipping to change at line 18
# #
# Unless required by applicable law or agreed to in writing, software # Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT # distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the # WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations # License for the specific language governing permissions and limitations
# under the License. # under the License.
import sys import sys
from oslo_config import cfg from oslo_config import cfg
from oslo_upgradecheck import common_checks
from oslo_upgradecheck import upgradecheck from oslo_upgradecheck import upgradecheck
from stevedore import driver as stevedore_driver from stevedore import driver as stevedore_driver
# Need to import to load config # Need to import to load config
from octavia.common import config # noqa: F401 pylint: disable=unused-import from octavia.common import config # noqa: F401 pylint: disable=unused-import
from octavia.common import constants from octavia.common import constants
from octavia.common import policy from octavia.common import policy
from octavia.controller.worker.v2 import taskflow_jobboard_driver as tsk_driver from octavia.controller.worker.v2 import taskflow_jobboard_driver as tsk_driver
from octavia.i18n import _ from octavia.i18n import _
skipping to change at line 115 skipping to change at line 116
_('Unable to determine the [oslo_policy] ' _('Unable to determine the [oslo_policy] '
'policy_file setting file format. ' 'policy_file setting file format. '
'Please make sure your policy file is ' 'Please make sure your policy file is '
'in YAML format and has the suffix of ' 'in YAML format and has the suffix of '
'.yaml for the filename. Oslo policy ' '.yaml for the filename. Oslo policy '
'has deprecated the JSON file format.')) 'has deprecated the JSON file format.'))
_upgrade_checks = ( _upgrade_checks = (
(_('AmphoraV2 Check'), _check_amphorav2), (_('AmphoraV2 Check'), _check_amphorav2),
(_('YAML Policy File'), _check_yaml_policy), (_('YAML Policy File'), _check_yaml_policy),
(_('Policy File JSON to YAML Migration'),
(common_checks.check_policy_json, {'conf': CONF})),
) )
def main(): def main():
policy.Policy() policy.Policy()
return upgradecheck.main( return upgradecheck.main(
CONF, project='octavia', upgrade_command=Checks()) CONF, project='octavia', upgrade_command=Checks())
if __name__ == '__main__': if __name__ == '__main__':
sys.exit(main()) sys.exit(main())
 End of changes. 2 change blocks. 
0 lines changed or deleted 3 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)